-file("/usr/local/Cellar/erlang/20.2.2/lib/erlang/lib/parsetools-2.1.6/include/leexinc.hrl", 0).
%% The source of this file is part of leex distribution, as such it
%% has the same Copyright as the other files in the leex
%% distribution. The Copyright is defined in the accompanying file
%% COPYRIGHT. However, the resultant scanner generated by leex is the
%% property of the creator of the scanner and is not covered by that
%% Copyright.

-module(math_term).

-export([string/1,string/2,token/2,token/3,tokens/2,tokens/3]).
-export([format_error/1]).

%% User code. This is placed here to allow extra attributes.
-file("src/math_term.xrl", 72).
parse_string(Chars) -> list_to_binary(string:replace(string:replace('Elixir.String':slice(list_to_binary(Chars), 1, length(Chars) - 2), <<"\\\"">>, <<"\"">>, all), <<"\\\\">>, <<"\\">>, all)).
-file("/usr/local/Cellar/erlang/20.2.2/lib/erlang/lib/parsetools-2.1.6/include/leexinc.hrl", 14).

format_error({illegal,S}) -> ["illegal characters ",io_lib:write_string(S)];
format_error({user,S}) -> S.

string(String) -> string(String, 1).

string(String, Line) -> string(String, Line, String, []).

%% string(InChars, Line, TokenChars, Tokens) ->
%% {ok,Tokens,Line} | {error,ErrorInfo,Line}.
%% Note the line number going into yystate, L0, is line of token
%% start while line number returned is line of token end. We want line
%% of token start.

string([], L, [], Ts) ->                     % No partial tokens!
    {ok,yyrev(Ts),L};
string(Ics0, L0, Tcs, Ts) ->
    case yystate(yystate(), Ics0, L0, 0, reject, 0) of
        {A,Alen,Ics1,L1} ->                  % Accepting end state
            string_cont(Ics1, L1, yyaction(A, Alen, Tcs, L0), Ts);
        {A,Alen,Ics1,L1,_S1} ->              % Accepting transistion state
            string_cont(Ics1, L1, yyaction(A, Alen, Tcs, L0), Ts);
        {reject,_Alen,Tlen,_Ics1,L1,_S1} ->  % After a non-accepting state
            {error,{L0,?MODULE,{illegal,yypre(Tcs, Tlen+1)}},L1};
        {A,Alen,Tlen,_Ics1,L1,_S1} ->
            Tcs1 = yysuf(Tcs, Alen),
            L2 = adjust_line(Tlen, Alen, Tcs1, L1),
            string_cont(Tcs1, L2, yyaction(A, Alen, Tcs, L0), Ts)
    end.

%% string_cont(RestChars, Line, Token, Tokens)
%% Test for and remove the end token wrapper. Push back characters
%% are prepended to RestChars.

-dialyzer({nowarn_function, string_cont/4}).

string_cont(Rest, Line, {token,T}, Ts) ->
    string(Rest, Line, Rest, [T|Ts]);
string_cont(Rest, Line, {token,T,Push}, Ts) ->
    NewRest = Push ++ Rest,
    string(NewRest, Line, NewRest, [T|Ts]);
string_cont(Rest, Line, {end_token,T}, Ts) ->
    string(Rest, Line, Rest, [T|Ts]);
string_cont(Rest, Line, {end_token,T,Push}, Ts) ->
    NewRest = Push ++ Rest,
    string(NewRest, Line, NewRest, [T|Ts]);
string_cont(Rest, Line, skip_token, Ts) ->
    string(Rest, Line, Rest, Ts);
string_cont(Rest, Line, {skip_token,Push}, Ts) ->
    NewRest = Push ++ Rest,
    string(NewRest, Line, NewRest, Ts);
string_cont(_Rest, Line, {error,S}, _Ts) ->
    {error,{Line,?MODULE,{user,S}},Line}.

%% token(Continuation, Chars) ->
%% token(Continuation, Chars, Line) ->
%% {more,Continuation} | {done,ReturnVal,RestChars}.
%% Must be careful when re-entering to append the latest characters to the
%% after characters in an accept. The continuation is:
%% {token,State,CurrLine,TokenChars,TokenLen,TokenLine,AccAction,AccLen}

token(Cont, Chars) -> token(Cont, Chars, 1).

token([], Chars, Line) ->
    token(yystate(), Chars, Line, Chars, 0, Line, reject, 0);
token({token,State,Line,Tcs,Tlen,Tline,Action,Alen}, Chars, _) ->
    token(State, Chars, Line, Tcs ++ Chars, Tlen, Tline, Action, Alen).

%% token(State, InChars, Line, TokenChars, TokenLen, TokenLine,
%% AcceptAction, AcceptLen) ->
%% {more,Continuation} | {done,ReturnVal,RestChars}.
%% The argument order is chosen to be more efficient.

token(S0, Ics0, L0, Tcs, Tlen0, Tline, A0, Alen0) ->
    case yystate(S0, Ics0, L0, Tlen0, A0, Alen0) of
        %% Accepting end state, we have a token.
        {A1,Alen1,Ics1,L1} ->
            token_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline));
        %% Accepting transition state, can take more chars.
        {A1,Alen1,[],L1,S1} ->                  % Need more chars to check
            {more,{token,S1,L1,Tcs,Alen1,Tline,A1,Alen1}};
        {A1,Alen1,Ics1,L1,_S1} ->               % Take what we got
            token_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline));
        %% After a non-accepting state, maybe reach accept state later.
        {A1,Alen1,Tlen1,[],L1,S1} ->            % Need more chars to check
            {more,{token,S1,L1,Tcs,Tlen1,Tline,A1,Alen1}};
        {reject,_Alen1,Tlen1,eof,L1,_S1} ->     % No token match
            %% Check for partial token which is error.
            Ret = if Tlen1 > 0 -> {error,{Tline,?MODULE,
                                          %% Skip eof tail in Tcs.
                                          {illegal,yypre(Tcs, Tlen1)}},L1};
                     true -> {eof,L1}
                  end,
            {done,Ret,eof};
        {reject,_Alen1,Tlen1,Ics1,L1,_S1} ->    % No token match
            Error = {Tline,?MODULE,{illegal,yypre(Tcs, Tlen1+1)}},
            {done,{error,Error,L1},Ics1};
        {A1,Alen1,Tlen1,_Ics1,L1,_S1} ->       % Use last accept match
            Tcs1 = yysuf(Tcs, Alen1),
            L2 = adjust_line(Tlen1, Alen1, Tcs1, L1),
            token_cont(Tcs1, L2, yyaction(A1, Alen1, Tcs, Tline))
    end.

%% token_cont(RestChars, Line, Token)
%% If we have a token or error then return done, else if we have a
%% skip_token then continue.

-dialyzer({nowarn_function, token_cont/3}).

token_cont(Rest, Line, {token,T}) ->
    {done,{ok,T,Line},Rest};
token_cont(Rest, Line, {token,T,Push}) ->
    NewRest = Push ++ Rest,
    {done,{ok,T,Line},NewRest};
token_cont(Rest, Line, {end_token,T}) ->
    {done,{ok,T,Line},Rest};
token_cont(Rest, Line, {end_token,T,Push}) ->
    NewRest = Push ++ Rest,
    {done,{ok,T,Line},NewRest};
token_cont(Rest, Line, skip_token) ->
    token(yystate(), Rest, Line, Rest, 0, Line, reject, 0);
token_cont(Rest, Line, {skip_token,Push}) ->
    NewRest = Push ++ Rest,
    token(yystate(), NewRest, Line, NewRest, 0, Line, reject, 0);
token_cont(Rest, Line, {error,S}) ->
    {done,{error,{Line,?MODULE,{user,S}},Line},Rest}.

%% tokens(Continuation, Chars, Line) ->
%% {more,Continuation} | {done,ReturnVal,RestChars}.
%% Must be careful when re-entering to append the latest characters to the
%% after characters in an accept. The continuation is:
%% {tokens,State,CurrLine,TokenChars,TokenLen,TokenLine,Tokens,AccAction,AccLen}
%% {skip_tokens,State,CurrLine,TokenChars,TokenLen,TokenLine,Error,AccAction,AccLen}

tokens(Cont, Chars) -> tokens(Cont, Chars, 1).

tokens([], Chars, Line) ->
    tokens(yystate(), Chars, Line, Chars, 0, Line, [], reject, 0);
tokens({tokens,State,Line,Tcs,Tlen,Tline,Ts,Action,Alen}, Chars, _) ->
    tokens(State, Chars, Line, Tcs ++ Chars, Tlen, Tline, Ts, Action, Alen);
tokens({skip_tokens,State,Line,Tcs,Tlen,Tline,Error,Action,Alen}, Chars, _) ->
    skip_tokens(State, Chars, Line, Tcs ++ Chars, Tlen, Tline, Error, Action, Alen).

%% tokens(State, InChars, Line, TokenChars, TokenLen, TokenLine, Tokens,
%% AcceptAction, AcceptLen) ->
%% {more,Continuation} | {done,ReturnVal,RestChars}.

tokens(S0, Ics0, L0, Tcs, Tlen0, Tline, Ts, A0, Alen0) ->
    case yystate(S0, Ics0, L0, Tlen0, A0, Alen0) of
        %% Accepting end state, we have a token.
        {A1,Alen1,Ics1,L1} ->
            tokens_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline), Ts);
        %% Accepting transition state, can take more chars.
        {A1,Alen1,[],L1,S1} ->                  % Need more chars to check
            {more,{tokens,S1,L1,Tcs,Alen1,Tline,Ts,A1,Alen1}};
        {A1,Alen1,Ics1,L1,_S1} ->               % Take what we got
            tokens_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline), Ts);
        %% After a non-accepting state, maybe reach accept state later.
        {A1,Alen1,Tlen1,[],L1,S1} ->            % Need more chars to check
            {more,{tokens,S1,L1,Tcs,Tlen1,Tline,Ts,A1,Alen1}};
        {reject,_Alen1,Tlen1,eof,L1,_S1} ->     % No token match
            %% Check for partial token which is error, no need to skip here.
            Ret = if Tlen1 > 0 -> {error,{Tline,?MODULE,
                                          %% Skip eof tail in Tcs.
                                          {illegal,yypre(Tcs, Tlen1)}},L1};
                     Ts == [] -> {eof,L1};
                     true -> {ok,yyrev(Ts),L1}
                  end,
            {done,Ret,eof};
        {reject,_Alen1,Tlen1,_Ics1,L1,_S1} ->
            %% Skip rest of tokens.
            Error = {L1,?MODULE,{illegal,yypre(Tcs, Tlen1+1)}},
            skip_tokens(yysuf(Tcs, Tlen1+1), L1, Error);
        {A1,Alen1,Tlen1,_Ics1,L1,_S1} ->
            Token = yyaction(A1, Alen1, Tcs, Tline),
            Tcs1 = yysuf(Tcs, Alen1),
            L2 = adjust_line(Tlen1, Alen1, Tcs1, L1),
            tokens_cont(Tcs1, L2, Token, Ts)
    end.

%% tokens_cont(RestChars, Line, Token, Tokens)
%% If we have an end_token or error then return done, else if we have
%% a token then save it and continue, else if we have a skip_token
%% just continue.

-dialyzer({nowarn_function, tokens_cont/4}).

tokens_cont(Rest, Line, {token,T}, Ts) ->
    tokens(yystate(), Rest, Line, Rest, 0, Line, [T|Ts], reject, 0);
tokens_cont(Rest, Line, {token,T,Push}, Ts) ->
    NewRest = Push ++ Rest,
    tokens(yystate(), NewRest, Line, NewRest, 0, Line, [T|Ts], reject, 0);
tokens_cont(Rest, Line, {end_token,T}, Ts) ->
    {done,{ok,yyrev(Ts, [T]),Line},Rest};
tokens_cont(Rest, Line, {end_token,T,Push}, Ts) ->
    NewRest = Push ++ Rest,
    {done,{ok,yyrev(Ts, [T]),Line},NewRest};
tokens_cont(Rest, Line, skip_token, Ts) ->
    tokens(yystate(), Rest, Line, Rest, 0, Line, Ts, reject, 0);
tokens_cont(Rest, Line, {skip_token,Push}, Ts) ->
    NewRest = Push ++ Rest,
    tokens(yystate(), NewRest, Line, NewRest, 0, Line, Ts, reject, 0);
tokens_cont(Rest, Line, {error,S}, _Ts) ->
    skip_tokens(Rest, Line, {Line,?MODULE,{user,S}}).

%%skip_tokens(InChars, Line, Error) -> {done,{error,Error,Line},Ics}.
%% Skip tokens until an end token, junk everything and return the error.

skip_tokens(Ics, Line, Error) ->
    skip_tokens(yystate(), Ics, Line, Ics, 0, Line, Error, reject, 0).

%% skip_tokens(State, InChars, Line, TokenChars, TokenLen, TokenLine, Tokens,
%% AcceptAction, AcceptLen) ->
%% {more,Continuation} | {done,ReturnVal,RestChars}.

skip_tokens(S0, Ics0, L0, Tcs, Tlen0, Tline, Error, A0, Alen0) ->
    case yystate(S0, Ics0, L0, Tlen0, A0, Alen0) of
        {A1,Alen1,Ics1,L1} ->                  % Accepting end state
            skip_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline), Error);
        {A1,Alen1,[],L1,S1} ->                 % After an accepting state
            {more,{skip_tokens,S1,L1,Tcs,Alen1,Tline,Error,A1,Alen1}};
        {A1,Alen1,Ics1,L1,_S1} ->
            skip_cont(Ics1, L1, yyaction(A1, Alen1, Tcs, Tline), Error);
        {A1,Alen1,Tlen1,[],L1,S1} ->           % After a non-accepting state
            {more,{skip_tokens,S1,L1,Tcs,Tlen1,Tline,Error,A1,Alen1}};
        {reject,_Alen1,_Tlen1,eof,L1,_S1} ->
            {done,{error,Error,L1},eof};
        {reject,_Alen1,Tlen1,_Ics1,L1,_S1} ->
            skip_tokens(yysuf(Tcs, Tlen1+1), L1, Error);
        {A1,Alen1,Tlen1,_Ics1,L1,_S1} ->
            Token = yyaction(A1, Alen1, Tcs, Tline),
            Tcs1 = yysuf(Tcs, Alen1),
            L2 = adjust_line(Tlen1, Alen1, Tcs1, L1),
            skip_cont(Tcs1, L2, Token, Error)
    end.

%% skip_cont(RestChars, Line, Token, Error)
%% Skip tokens until we have an end_token or error then return done
%% with the original rror.

-dialyzer({nowarn_function, skip_cont/4}).

skip_cont(Rest, Line, {token,_T}, Error) ->
    skip_tokens(yystate(), Rest, Line, Rest, 0, Line, Error, reject, 0);
skip_cont(Rest, Line, {token,_T,Push}, Error) ->
    NewRest = Push ++ Rest,
    skip_tokens(yystate(), NewRest, Line, NewRest, 0, Line, Error, reject, 0);
skip_cont(Rest, Line, {end_token,_T}, Error) ->
    {done,{error,Error,Line},Rest};
skip_cont(Rest, Line, {end_token,_T,Push}, Error) ->
    NewRest = Push ++ Rest,
    {done,{error,Error,Line},NewRest};
skip_cont(Rest, Line, skip_token, Error) ->
    skip_tokens(yystate(), Rest, Line, Rest, 0, Line, Error, reject, 0);
skip_cont(Rest, Line, {skip_token,Push}, Error) ->
    NewRest = Push ++ Rest,
    skip_tokens(yystate(), NewRest, Line, NewRest, 0, Line, Error, reject, 0);
skip_cont(Rest, Line, {error,_S}, Error) ->
    skip_tokens(yystate(), Rest, Line, Rest, 0, Line, Error, reject, 0).

-compile({nowarn_unused_function, [yyrev/1, yyrev/2, yypre/2, yysuf/2]}).

yyrev(List) -> lists:reverse(List).
yyrev(List, Tail) -> lists:reverse(List, Tail).
yypre(List, N) -> lists:sublist(List, N).
yysuf(List, N) -> lists:nthtail(N, List).

%% adjust_line(TokenLength, AcceptLength, Chars, Line) -> NewLine
%% Make sure that newlines in Chars are not counted twice.
%% Line has been updated with respect to newlines in the prefix of
%% Chars consisting of (TokenLength - AcceptLength) characters.

-compile({nowarn_unused_function, adjust_line/4}).

adjust_line(N, N, _Cs, L) -> L;
adjust_line(T, A, [$\n|Cs], L) ->
    adjust_line(T-1, A, Cs, L-1);
adjust_line(T, A, [_|Cs], L) ->
    adjust_line(T-1, A, Cs, L).

%% yystate() -> InitialState.
%% yystate(State, InChars, Line, CurrTokLen, AcceptAction, AcceptLen) ->
%% {Action, AcceptLen, RestChars, Line} |
%% {Action, AcceptLen, RestChars, Line, State} |
%% {reject, AcceptLen, CurrTokLen, RestChars, Line, State} |
%% {Action, AcceptLen, CurrTokLen, RestChars, Line, State}.
%% Generated state transition functions. The non-accepting end state
%% return signal either an unrecognised character or end of current
%% input.

-file("src/math_term.erl", 308).
yystate() -> 50.

yystate(53, Ics, Line, Tlen, _, _) ->
    {23,Tlen,Ics,Line};
yystate(52, [32|Ics], Line, Tlen, _, _) ->
    yystate(52, Ics, Line, Tlen+1, 36, Tlen);
yystate(52, [13|Ics], Line, Tlen, _, _) ->
    yystate(52, Ics, Line, Tlen+1, 36, Tlen);
yystate(52, [9|Ics], Line, Tlen, _, _) ->
    yystate(52, Ics, Line, Tlen+1, 36, Tlen);
yystate(52, [10|Ics], Line, Tlen, _, _) ->
    yystate(52, Ics, Line+1, Tlen+1, 36, Tlen);
yystate(52, Ics, Line, Tlen, _, _) ->
    {36,Tlen,Ics,Line,52};
yystate(51, Ics, Line, Tlen, _, _) ->
    {33,Tlen,Ics,Line};
yystate(50, [126|Ics], Line, Tlen, Action, Alen) ->
    yystate(46, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [124|Ics], Line, Tlen, Action, Alen) ->
    yystate(42, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [116|Ics], Line, Tlen, Action, Alen) ->
    yystate(30, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [110|Ics], Line, Tlen, Action, Alen) ->
    yystate(10, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [102|Ics], Line, Tlen, Action, Alen) ->
    yystate(13, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [95|Ics], Line, Tlen, Action, Alen) ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [94|Ics], Line, Tlen, Action, Alen) ->
    yystate(33, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [93|Ics], Line, Tlen, Action, Alen) ->
    yystate(37, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [91|Ics], Line, Tlen, Action, Alen) ->
    yystate(41, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [63|Ics], Line, Tlen, Action, Alen) ->
    yystate(45, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [62|Ics], Line, Tlen, Action, Alen) ->
    yystate(49, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [61|Ics], Line, Tlen, Action, Alen) ->
    yystate(47, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [60|Ics], Line, Tlen, Action, Alen) ->
    yystate(39, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [58|Ics], Line, Tlen, Action, Alen) ->
    yystate(27, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [47|Ics], Line, Tlen, Action, Alen) ->
    yystate(15, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [46|Ics], Line, Tlen, Action, Alen) ->
    yystate(11, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [45|Ics], Line, Tlen, Action, Alen) ->
    yystate(3, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [44|Ics], Line, Tlen, Action, Alen) ->
    yystate(0, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [43|Ics], Line, Tlen, Action, Alen) ->
    yystate(4, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [42|Ics], Line, Tlen, Action, Alen) ->
    yystate(8, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [41|Ics], Line, Tlen, Action, Alen) ->
    yystate(12, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [40|Ics], Line, Tlen, Action, Alen) ->
    yystate(16, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [38|Ics], Line, Tlen, Action, Alen) ->
    yystate(20, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [34|Ics], Line, Tlen, Action, Alen) ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [33|Ics], Line, Tlen, Action, Alen) ->
    yystate(44, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [32|Ics], Line, Tlen, Action, Alen) ->
    yystate(52, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [13|Ics], Line, Tlen, Action, Alen) ->
    yystate(52, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [9|Ics], Line, Tlen, Action, Alen) ->
    yystate(52, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [10|Ics], Line, Tlen, Action, Alen) ->
    yystate(52, Ics, Line+1, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 48, C =< 57 ->
    yystate(23, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 97, C =< 101 ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 103, C =< 109 ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 111, C =< 115 ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, [C|Ics], Line, Tlen, Action, Alen) when C >= 117, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, Action, Alen);
yystate(50, Ics, Line, Tlen, Action, Alen) ->
    {Action,Alen,Tlen,Ics,Line,50};
yystate(49, [62|Ics], Line, Tlen, _, _) ->
    yystate(53, Ics, Line, Tlen+1, 35, Tlen);
yystate(49, [61|Ics], Line, Tlen, _, _) ->
    yystate(51, Ics, Line, Tlen+1, 35, Tlen);
yystate(49, Ics, Line, Tlen, _, _) ->
    {35,Tlen,Ics,Line,49};
yystate(48, Ics, Line, Tlen, _, _) ->
    {30,Tlen,Ics,Line};
yystate(47, [61|Ics], Line, Tlen, Action, Alen) ->
    yystate(43, Ics, Line, Tlen+1, Action, Alen);
yystate(47, Ics, Line, Tlen, Action, Alen) ->
    {Action,Alen,Tlen,Ics,Line,47};
yystate(46, Ics, Line, Tlen, _, _) ->
    {25,Tlen,Ics,Line};
yystate(45, Ics, Line, Tlen, _, _) ->
    {28,Tlen,Ics,Line};
yystate(44, [61|Ics], Line, Tlen, _, _) ->
    yystate(48, Ics, Line, Tlen+1, 14, Tlen);
yystate(44, Ics, Line, Tlen, _, _) ->
    {14,Tlen,Ics,Line,44};
yystate(43, Ics, Line, Tlen, _, _) ->
    {31,Tlen,Ics,Line};
yystate(42, [124|Ics], Line, Tlen, _, _) ->
    yystate(38, Ics, Line, Tlen+1, 22, Tlen);
yystate(42, [94|Ics], Line, Tlen, _, _) ->
    yystate(34, Ics, Line, Tlen+1, 22, Tlen);
yystate(42, Ics, Line, Tlen, _, _) ->
    {22,Tlen,Ics,Line,42};
yystate(41, Ics, Line, Tlen, _, _) ->
    {17,Tlen,Ics,Line};
yystate(40, [92|Ics], Line, Tlen, Action, Alen) ->
    yystate(28, Ics, Line, Tlen+1, Action, Alen);
yystate(40, [34|Ics], Line, Tlen, Action, Alen) ->
    yystate(36, Ics, Line, Tlen+1, Action, Alen);
yystate(40, [10|Ics], Line, Tlen, Action, Alen) ->
    yystate(40, Ics, Line+1, Tlen+1, Action, Alen);
yystate(40, [C|Ics], Line, Tlen, Action, Alen) when C >= 0, C =< 9 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(40, [C|Ics], Line, Tlen, Action, Alen) when C >= 11, C =< 33 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(40, [C|Ics], Line, Tlen, Action, Alen) when C >= 35, C =< 91 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(40, [C|Ics], Line, Tlen, Action, Alen) when C >= 93 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(40, Ics, Line, Tlen, Action, Alen) ->
    {Action,Alen,Tlen,Ics,Line,40};
yystate(39, [61|Ics], Line, Tlen, _, _) ->
    yystate(35, Ics, Line, Tlen+1, 34, Tlen);
yystate(39, [60|Ics], Line, Tlen, _, _) ->
    yystate(31, Ics, Line, Tlen+1, 34, Tlen);
yystate(39, Ics, Line, Tlen, _, _) ->
    {34,Tlen,Ics,Line,39};
yystate(38, Ics, Line, Tlen, _, _) ->
    {27,Tlen,Ics,Line};
yystate(37, Ics, Line, Tlen, _, _) ->
    {18,Tlen,Ics,Line};
yystate(36, Ics, Line, Tlen, _, _) ->
    {15,Tlen,Ics,Line};
yystate(35, Ics, Line, Tlen, _, _) ->
    {32,Tlen,Ics,Line};
yystate(34, Ics, Line, Tlen, _, _) ->
    {21,Tlen,Ics,Line};
yystate(33, Ics, Line, Tlen, _, _) ->
    {13,Tlen,Ics,Line};
yystate(32, [92|Ics], Line, Tlen, _, _) ->
    yystate(28, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, [34|Ics], Line, Tlen, _, _) ->
    yystate(36, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, [10|Ics], Line, Tlen, _, _) ->
    yystate(40, Ics, Line+1, Tlen+1, 15, Tlen);
yystate(32, [C|Ics], Line, Tlen, _, _) when C >= 0, C =< 9 ->
    yystate(40, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, [C|Ics], Line, Tlen, _, _) when C >= 11, C =< 33 ->
    yystate(40, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, [C|Ics], Line, Tlen, _, _) when C >= 35, C =< 91 ->
    yystate(40, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, [C|Ics], Line, Tlen, _, _) when C >= 93 ->
    yystate(40, Ics, Line, Tlen+1, 15, Tlen);
yystate(32, Ics, Line, Tlen, _, _) ->
    {15,Tlen,Ics,Line,32};
yystate(31, Ics, Line, Tlen, _, _) ->
    {24,Tlen,Ics,Line};
yystate(30, [114|Ics], Line, Tlen, _, _) ->
    yystate(26, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 113 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, [C|Ics], Line, Tlen, _, _) when C >= 115, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(30, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,30};
yystate(29, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 2, Tlen);
yystate(29, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 2, Tlen);
yystate(29, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 2, Tlen);
yystate(29, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 2, Tlen);
yystate(29, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 2, Tlen);
yystate(29, Ics, Line, Tlen, _, _) ->
    {2,Tlen,Ics,Line,29};
yystate(28, [92|Ics], Line, Tlen, Action, Alen) ->
    yystate(28, Ics, Line, Tlen+1, Action, Alen);
yystate(28, [34|Ics], Line, Tlen, Action, Alen) ->
    yystate(32, Ics, Line, Tlen+1, Action, Alen);
yystate(28, [10|Ics], Line, Tlen, Action, Alen) ->
    yystate(40, Ics, Line+1, Tlen+1, Action, Alen);
yystate(28, [C|Ics], Line, Tlen, Action, Alen) when C >= 0, C =< 9 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(28, [C|Ics], Line, Tlen, Action, Alen) when C >= 11, C =< 33 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(28, [C|Ics], Line, Tlen, Action, Alen) when C >= 35, C =< 91 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(28, [C|Ics], Line, Tlen, Action, Alen) when C >= 93 ->
    yystate(40, Ics, Line, Tlen+1, Action, Alen);
yystate(28, Ics, Line, Tlen, Action, Alen) ->
    {Action,Alen,Tlen,Ics,Line,28};
yystate(27, Ics, Line, Tlen, _, _) ->
    {29,Tlen,Ics,Line};
yystate(26, [117|Ics], Line, Tlen, _, _) ->
    yystate(22, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 116 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, [C|Ics], Line, Tlen, _, _) when C >= 118, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(26, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,26};
yystate(25, [101|Ics], Line, Tlen, _, _) ->
    yystate(29, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 100 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, [C|Ics], Line, Tlen, _, _) when C >= 102, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(25, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,25};
yystate(24, Ics, Line, Tlen, _, _) ->
    {26,Tlen,Ics,Line};
yystate(23, [46|Ics], Line, Tlen, _, _) ->
    yystate(19, Ics, Line, Tlen+1, 4, Tlen);
yystate(23, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(23, Ics, Line, Tlen+1, 4, Tlen);
yystate(23, Ics, Line, Tlen, _, _) ->
    {4,Tlen,Ics,Line,23};
yystate(22, [101|Ics], Line, Tlen, _, _) ->
    yystate(18, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 100 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, [C|Ics], Line, Tlen, _, _) when C >= 102, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(22, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,22};
yystate(21, [115|Ics], Line, Tlen, _, _) ->
    yystate(25, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 114 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, [C|Ics], Line, Tlen, _, _) when C >= 116, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(21, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,21};
yystate(20, [38|Ics], Line, Tlen, _, _) ->
    yystate(24, Ics, Line, Tlen+1, 20, Tlen);
yystate(20, Ics, Line, Tlen, _, _) ->
    {20,Tlen,Ics,Line,20};
yystate(19, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(19, Ics, Line, Tlen+1, 5, Tlen);
yystate(19, Ics, Line, Tlen, _, _) ->
    {5,Tlen,Ics,Line,19};
yystate(18, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 3, Tlen);
yystate(18, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 3, Tlen);
yystate(18, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 3, Tlen);
yystate(18, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 3, Tlen);
yystate(18, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 3, Tlen);
yystate(18, Ics, Line, Tlen, _, _) ->
    {3,Tlen,Ics,Line,18};
yystate(17, [108|Ics], Line, Tlen, _, _) ->
    yystate(21, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 107 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, [C|Ics], Line, Tlen, _, _) when C >= 109, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(17, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,17};
yystate(16, Ics, Line, Tlen, _, _) ->
    {7,Tlen,Ics,Line};
yystate(15, Ics, Line, Tlen, _, _) ->
    {11,Tlen,Ics,Line};
yystate(14, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(14, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(14, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(14, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(14, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(14, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,14};
yystate(13, [97|Ics], Line, Tlen, _, _) ->
    yystate(17, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, [C|Ics], Line, Tlen, _, _) when C >= 98, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(13, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,13};
yystate(12, Ics, Line, Tlen, _, _) ->
    {8,Tlen,Ics,Line};
yystate(11, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(7, Ics, Line, Tlen+1, 19, Tlen);
yystate(11, Ics, Line, Tlen, _, _) ->
    {19,Tlen,Ics,Line,11};
yystate(10, [117|Ics], Line, Tlen, _, _) ->
    yystate(6, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [111|Ics], Line, Tlen, _, _) ->
    yystate(5, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 110 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [C|Ics], Line, Tlen, _, _) when C >= 112, C =< 116 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, [C|Ics], Line, Tlen, _, _) when C >= 118, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(10, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,10};
yystate(9, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 0, Tlen);
yystate(9, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 0, Tlen);
yystate(9, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 0, Tlen);
yystate(9, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 0, Tlen);
yystate(9, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 0, Tlen);
yystate(9, Ics, Line, Tlen, _, _) ->
    {0,Tlen,Ics,Line,9};
yystate(8, Ics, Line, Tlen, _, _) ->
    {12,Tlen,Ics,Line};
yystate(7, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(7, Ics, Line, Tlen+1, 6, Tlen);
yystate(7, Ics, Line, Tlen, _, _) ->
    {6,Tlen,Ics,Line,7};
yystate(6, [108|Ics], Line, Tlen, _, _) ->
    yystate(2, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 107 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, [C|Ics], Line, Tlen, _, _) when C >= 109, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(6, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,6};
yystate(5, [116|Ics], Line, Tlen, _, _) ->
    yystate(9, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 115 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, [C|Ics], Line, Tlen, _, _) when C >= 117, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(5, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,5};
yystate(4, Ics, Line, Tlen, _, _) ->
    {9,Tlen,Ics,Line};
yystate(3, Ics, Line, Tlen, _, _) ->
    {10,Tlen,Ics,Line};
yystate(2, [108|Ics], Line, Tlen, _, _) ->
    yystate(1, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 107 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, [C|Ics], Line, Tlen, _, _) when C >= 109, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 16, Tlen);
yystate(2, Ics, Line, Tlen, _, _) ->
    {16,Tlen,Ics,Line,2};
yystate(1, [95|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 1, Tlen);
yystate(1, [45|Ics], Line, Tlen, _, _) ->
    yystate(14, Ics, Line, Tlen+1, 1, Tlen);
yystate(1, [C|Ics], Line, Tlen, _, _) when C >= 48, C =< 57 ->
    yystate(14, Ics, Line, Tlen+1, 1, Tlen);
yystate(1, [C|Ics], Line, Tlen, _, _) when C >= 65, C =< 90 ->
    yystate(14, Ics, Line, Tlen+1, 1, Tlen);
yystate(1, [C|Ics], Line, Tlen, _, _) when C >= 97, C =< 122 ->
    yystate(14, Ics, Line, Tlen+1, 1, Tlen);
yystate(1, Ics, Line, Tlen, _, _) ->
    {1,Tlen,Ics,Line,1};
yystate(0, Ics, Line, Tlen, _, _) ->
    {37,Tlen,Ics,Line};
yystate(S, Ics, Line, Tlen, Action, Alen) ->
    {Action,Alen,Tlen,Ics,Line,S}.

%% yyaction(Action, TokenLength, TokenChars, TokenLine) ->
%% {token,Token} | {end_token, Token} | skip_token | {error,String}.
%% Generated action function.

yyaction(0, _, _, TokenLine) ->
    yyaction_0(TokenLine);
yyaction(1, _, _, TokenLine) ->
    yyaction_1(TokenLine);
yyaction(2, _, _, TokenLine) ->
    yyaction_2(TokenLine);
yyaction(3, _, _, TokenLine) ->
    yyaction_3(TokenLine);
yyaction(4, TokenLen, YYtcs, TokenLine) ->
    TokenChars = yypre(YYtcs, TokenLen),
    yyaction_4(TokenChars, TokenLine);
yyaction(5, TokenLen, YYtcs, TokenLine) ->
    TokenChars = yypre(YYtcs, TokenLen),
    yyaction_5(TokenChars, TokenLine);
yyaction(6, TokenLen, YYtcs, TokenLine) ->
    TokenChars = yypre(YYtcs, TokenLen),
    yyaction_6(TokenChars, TokenLine);
yyaction(7, _, _, TokenLine) ->
    yyaction_7(TokenLine);
yyaction(8, _, _, TokenLine) ->
    yyaction_8(TokenLine);
yyaction(9, _, _, TokenLine) ->
    yyaction_9(TokenLine);
yyaction(10, _, _, TokenLine) ->
    yyaction_10(TokenLine);
yyaction(11, _, _, TokenLine) ->
    yyaction_11(TokenLine);
yyaction(12, _, _, TokenLine) ->
    yyaction_12(TokenLine);
yyaction(13, _, _, TokenLine) ->
    yyaction_13(TokenLine);
yyaction(14, _, _, TokenLine) ->
    yyaction_14(TokenLine);
yyaction(15, TokenLen, YYtcs, TokenLine) ->
    TokenChars = yypre(YYtcs, TokenLen),
    yyaction_15(TokenChars, TokenLine);
yyaction(16, TokenLen, YYtcs, TokenLine) ->
    TokenChars = yypre(YYtcs, TokenLen),
    yyaction_16(TokenChars, TokenLine);
yyaction(17, _, _, TokenLine) ->
    yyaction_17(TokenLine);
yyaction(18, _, _, TokenLine) ->
    yyaction_18(TokenLine);
yyaction(19, _, _, TokenLine) ->
    yyaction_19(TokenLine);
yyaction(20, _, _, TokenLine) ->
    yyaction_20(TokenLine);
yyaction(21, _, _, TokenLine) ->
    yyaction_21(TokenLine);
yyaction(22, _, _, TokenLine) ->
    yyaction_22(TokenLine);
yyaction(23, _, _, TokenLine) ->
    yyaction_23(TokenLine);
yyaction(24, _, _, TokenLine) ->
    yyaction_24(TokenLine);
yyaction(25, _, _, TokenLine) ->
    yyaction_25(TokenLine);
yyaction(26, _, _, TokenLine) ->
    yyaction_26(TokenLine);
yyaction(27, _, _, TokenLine) ->
    yyaction_27(TokenLine);
yyaction(28, _, _, TokenLine) ->
    yyaction_28(TokenLine);
yyaction(29, _, _, TokenLine) ->
    yyaction_29(TokenLine);
yyaction(30, _, _, TokenLine) ->
    yyaction_30(TokenLine);
yyaction(31, _, _, TokenLine) ->
    yyaction_31(TokenLine);
yyaction(32, _, _, TokenLine) ->
    yyaction_32(TokenLine);
yyaction(33, _, _, TokenLine) ->
    yyaction_33(TokenLine);
yyaction(34, _, _, TokenLine) ->
    yyaction_34(TokenLine);
yyaction(35, _, _, TokenLine) ->
    yyaction_35(TokenLine);
yyaction(36, _, _, _) ->
    yyaction_36();
yyaction(37, _, _, TokenLine) ->
    yyaction_37(TokenLine);
yyaction(_, _, _, _) -> error.

-compile({inline,yyaction_0/1}).
-file("src/math_term.xrl", 29).
yyaction_0(TokenLine) ->
     { token, { 'not', TokenLine } } .

-compile({inline,yyaction_1/1}).
-file("src/math_term.xrl", 30).
yyaction_1(TokenLine) ->
     { token, { nil, TokenLine } } .

-compile({inline,yyaction_2/1}).
-file("src/math_term.xrl", 31).
yyaction_2(TokenLine) ->
     { token, { false, TokenLine } } .

-compile({inline,yyaction_3/1}).
-file("src/math_term.xrl", 32).
yyaction_3(TokenLine) ->
     { token, { true, TokenLine } } .

-compile({inline,yyaction_4/2}).
-file("src/math_term.xrl", 34).
yyaction_4(TokenChars, TokenLine) ->
     { token, { number, TokenLine, list_to_integer (TokenChars) } } .

-compile({inline,yyaction_5/2}).
-file("src/math_term.xrl", 35).
yyaction_5(TokenChars, TokenLine) ->
     { token, { number, TokenLine, list_to_float (TokenChars) } } .

-compile({inline,yyaction_6/2}).
-file("src/math_term.xrl", 36).
yyaction_6(TokenChars, TokenLine) ->
     { token, { number, TokenLine, list_to_float ([48 | TokenChars ]) } } .

-compile({inline,yyaction_7/1}).
-file("src/math_term.xrl", 37).
yyaction_7(TokenLine) ->
     { token, { '(', TokenLine } } .

-compile({inline,yyaction_8/1}).
-file("src/math_term.xrl", 38).
yyaction_8(TokenLine) ->
     { token, { ')', TokenLine } } .

-compile({inline,yyaction_9/1}).
-file("src/math_term.xrl", 39).
yyaction_9(TokenLine) ->
     { token, { '+', TokenLine } } .

-compile({inline,yyaction_10/1}).
-file("src/math_term.xrl", 40).
yyaction_10(TokenLine) ->
     { token, { '-', TokenLine } } .

-compile({inline,yyaction_11/1}).
-file("src/math_term.xrl", 41).
yyaction_11(TokenLine) ->
     { token, { '/', TokenLine } } .

-compile({inline,yyaction_12/1}).
-file("src/math_term.xrl", 42).
yyaction_12(TokenLine) ->
     { token, { '*', TokenLine } } .

-compile({inline,yyaction_13/1}).
-file("src/math_term.xrl", 43).
yyaction_13(TokenLine) ->
     { token, { '^', TokenLine } } .

-compile({inline,yyaction_14/1}).
-file("src/math_term.xrl", 44).
yyaction_14(TokenLine) ->
     { token, { '!', TokenLine } } .

-compile({inline,yyaction_15/2}).
-file("src/math_term.xrl", 45).
yyaction_15(TokenChars, TokenLine) ->
     { token, { string, TokenLine, parse_string (TokenChars) } } .

-compile({inline,yyaction_16/2}).
-file("src/math_term.xrl", 46).
yyaction_16(TokenChars, TokenLine) ->
     { token, { word, TokenLine, list_to_binary (TokenChars) } } .

-compile({inline,yyaction_17/1}).
-file("src/math_term.xrl", 47).
yyaction_17(TokenLine) ->
     { token, { '[', TokenLine } } .

-compile({inline,yyaction_18/1}).
-file("src/math_term.xrl", 48).
yyaction_18(TokenLine) ->
     { token, { ']', TokenLine } } .

-compile({inline,yyaction_19/1}).
-file("src/math_term.xrl", 49).
yyaction_19(TokenLine) ->
     { token, { '.', TokenLine } } .

-compile({inline,yyaction_20/1}).
-file("src/math_term.xrl", 50).
yyaction_20(TokenLine) ->
     { token, { '&', TokenLine } } .

-compile({inline,yyaction_21/1}).
-file("src/math_term.xrl", 51).
yyaction_21(TokenLine) ->
     { token, { '|^', TokenLine } } .

-compile({inline,yyaction_22/1}).
-file("src/math_term.xrl", 52).
yyaction_22(TokenLine) ->
     { token, { '|', TokenLine } } .

-compile({inline,yyaction_23/1}).
-file("src/math_term.xrl", 53).
yyaction_23(TokenLine) ->
     { token, { '>>', TokenLine } } .

-compile({inline,yyaction_24/1}).
-file("src/math_term.xrl", 54).
yyaction_24(TokenLine) ->
     { token, { '<<', TokenLine } } .

-compile({inline,yyaction_25/1}).
-file("src/math_term.xrl", 55).
yyaction_25(TokenLine) ->
     { token, { '~', TokenLine } } .

-compile({inline,yyaction_26/1}).
-file("src/math_term.xrl", 56).
yyaction_26(TokenLine) ->
     { token, { 'and', TokenLine } } .

-compile({inline,yyaction_27/1}).
-file("src/math_term.xrl", 57).
yyaction_27(TokenLine) ->
     { token, { 'or', TokenLine } } .

-compile({inline,yyaction_28/1}).
-file("src/math_term.xrl", 59).
yyaction_28(TokenLine) ->
     { token, { '?', TokenLine } } .

-compile({inline,yyaction_29/1}).
-file("src/math_term.xrl", 60).
yyaction_29(TokenLine) ->
     { token, { ':', TokenLine } } .

-compile({inline,yyaction_30/1}).
-file("src/math_term.xrl", 61).
yyaction_30(TokenLine) ->
     { token, { '!=', TokenLine } } .

-compile({inline,yyaction_31/1}).
-file("src/math_term.xrl", 62).
yyaction_31(TokenLine) ->
     { token, { '==', TokenLine } } .

-compile({inline,yyaction_32/1}).
-file("src/math_term.xrl", 63).
yyaction_32(TokenLine) ->
     { token, { '<=', TokenLine } } .

-compile({inline,yyaction_33/1}).
-file("src/math_term.xrl", 64).
yyaction_33(TokenLine) ->
     { token, { '>=', TokenLine } } .

-compile({inline,yyaction_34/1}).
-file("src/math_term.xrl", 65).
yyaction_34(TokenLine) ->
     { token, { '<', TokenLine } } .

-compile({inline,yyaction_35/1}).
-file("src/math_term.xrl", 66).
yyaction_35(TokenLine) ->
     { token, { '>', TokenLine } } .

-compile({inline,yyaction_36/0}).
-file("src/math_term.xrl", 67).
yyaction_36() ->
     skip_token .

-compile({inline,yyaction_37/1}).
-file("src/math_term.xrl", 68).
yyaction_37(TokenLine) ->
     { token, { ',', TokenLine } } .

-file("/usr/local/Cellar/erlang/20.2.2/lib/erlang/lib/parsetools-2.1.6/include/leexinc.hrl", 313).
